  var RepSelWinHandle;

  function SendRepToSupport(){
    var TheURL="SendRepToSupport";
    TheURL=TheURL + "?RepRTMFname=" + document.CTReportsGroupEdPage.RepRTMFName.value;
    if (document.CTReportsGroupEdPage.UserDirName!=null)
      TheURL=TheURL + "&UserDirName=" + document.CTReportsGroupEdPage.UserDirName.value;
    TheURL=TheURL + "&CustomRep=" + document.CTReportsGroupEdPage.CustomRep.value;
    TheURL=TheURL + "&ReportGroup=true";
    var FeatureStr = "scrollbars=yes ,resizable=yes ,toolbar=no ,menubar=no ,statusbar=yes, ";
    FeatureStr = FeatureStr + "width=300, height=275, top=175, left=160";
    //alert(TheURL);
    window.open(TheURL, "", FeatureStr);
  }

    function ValidateNewRepDesc(){
      var TempDesc=RemoveBlanks(document.CTReportsGroupEdPage.NewRepDesc.value)
      alert(TempDesc);
      if (TempDesc==''){
        alert("Please enter a valid Report Group Description.");
        document.CTReportsGroupEdPage.NewRepDesc.focus();
        return(1);
      }
      else
        return(0);
    }

      function DoMoveUpRecord(CurrRecIndex){
        document.CTReportsGroupEdPage.CurrRepNo.value=CurrRecIndex;
        __doPostBack('MoveUpBtn', 'CLICK');
      }

      function DoMoveDownRecord(CurrRecIndex){
        document.CTReportsGroupEdPage.CurrRepNo.value=CurrRecIndex;
        __doPostBack('MoveDownBtn', 'CLICK');
      }

    
      function DoEditRecord(AURL){
        var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
        var AWidth=screen.availWidth-55;
        var AHieght=screen.availHeight-170;
        FeatureStr = FeatureStr + "width=" + AWidth + ", height=" + AHieght + ", top=25, left=20";
        window.open(AURL, "EditWindow", FeatureStr)
      }

      function DoRemoveRecord(CurrRecIndex){
        document.CTReportsGroupEdPage.CurrRepNo.value=CurrRecIndex;
        __doPostBack('RemoveRepBtn', 'CLICK');
      }

      function DoRemoveRecord(CurrRecIndex){
        document.CTReportsGroupEdPage.CurrRepNo.value=CurrRecIndex;
        __doPostBack('RemoveRepBtn', 'CLICK');
      }

      function DoOpenCloneReportWindow(CurrRecIndex, AUrl, AAction, IsARepGroup, ARepName, ARepMsg){
        document.CTReportsGroupEdPage.CurrRepNo.value=CurrRecIndex;
        OpenCloneReportWindow(AUrl, AAction, IsARepGroup, ARepName, ARepMsg)        
      }

      function DoRemAddCloneReport(ACloneRep){
        //alert(document.CTReportsGroupEdPage.CurrRepNo.value);
        //alert(ACloneRep);
        document.CTReportsGroupEdPage.NewRepDetails.value=ACloneRep;
        __doPostBack('RemAddRepBtn', 'CLICK');
      }
